
## Intellectual Property

### Licensing

- clarify software license before programming

- add license to code header

Best practice is to maintain a file listing all third-party packages that are
part of the software. This list should hold the following metadata and `SHOULD` be
prepared like the table below, always in alphanumeric order.

```nat
| name | license | origin             |
|------|---------|--------------------|
| foo  | barware | github.com/foo/bar |
```

Maybe the `license-maven` plugin will help you.

#### CESSDA's Software Maturity Levels in RDD (CA2)

##### MUST

`MUST` be SML5, which is defined as follows:

> There are multiple statements embedded into the software product describing unrestricted rights and any conditions
for use, including commercial and non-commercial use, and the recommended citation. The list of developers is embedded
in the source code of the product, in the documentation, and in the expression of the software upon execution. The
intellectual property rights statements are expressed in legal language, machine-readable code, and in concise
statements in language that can be understood by laypersons, such as a pre-written, recognisable license.

##### Actions to Be Taken in RDD

- see rdd-technical-reference for choosing the license
- source code: use OSI approved licenses? (see <https://opensource.org/licenses)> (++TODO discuss in fe-develop++) (how
to chose a license?:
<http://freesoftwaremagazine.com/articles/choosing_and_using_free_licenses_software_hardware_and_aesthetic_works/fig_choosing_license.jpg)>
- assets: CC0? CC-BY-SA? (++TODO discuss in fe-develop++)
- we reach SML5 by providing a license file on root level containing the license text (GPL wants its license text in a
file called COPYING [see <https://www.gnu.org/licenses/gpl-howto.de.html>] other licenses use LICENSE)
- if the license text is not contained in the license file, we provide the full license text in another file
(++TODO++)
(<https://softdev4research.github.io/4OSS-lesson/03-use-license/index.html#add-a-licence-file-to-a-repository)>
- in the source code header the license statement is added to every file. GPL example:

```nat
This file is part of FOOBAR.

FOOBAR is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FOOBAR is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FOOBAR.  If not, see <https://www.gnu.org/licenses/>.
```

- the names of all contributed developers are stored in a contributors file on root level (every user that has
committed in the repository)
- in the source code the contributors are added to each class/method/function/file/etcpp
- “and in the expression of the software upon execution“ -- if applicable
