## FE-Onboarding

This section focuses on the specific needs and requirements of developers new to the department.
Please also refer to any of the general information on onboarding within the department, as well as the departmental
mentoring program.
This includes skills and tools developers need, as well as a checklist of the basic repos and groups new developers
should be granted access to.
A list of relevant and useful mailing lists new developers ought to consider subscribing to is provided at the end of
he section.
Developers should keep in mind that a DARIAH-account is needed to access some of the commonly used infrastructure.

### Skills & Tools

Here you will find a list of skills and tools that a developer will likely need at one point or another during their
tenure at FE.
We assume a basic familiarity with basal technologies such as XML.

- Ant
- GitLab CI/CD
- Implementation of DARIAH-AAI
- Puppet
- Docker
- eXist-db
- (Lucene-)Indices
- SADE

### Repos & Groups

- The departmental group at GitHub: `https://github.com/subugoe/teams/fe`
- The departmental group at GWDG's GitLab: `https://gitlab.gwdg.de/fe`
- The SUB-wide group at GWDG's GitLab: `https://gitlab.gwdg.de/subugoe`

\

- DARIAH-wikispace SUB-GWDG-IT
- (possibly further project-related wikispaces)
- Kanboard-user group FE
- (possibly project-related SUB-intranet-spaces)

### Mailing Lists

- [eXist-db (eXist open mailing list)](https://sourceforge.net/p/exist/mailman/)
- [de-RSE](https://de-rse.org/de/)
- [RfII](http://www.rfii.de/de/start/)
- relevant [TEI-lists](https://tei-c.org/support/#tei-l)

### Further Reading

Beyond the points listed above, developers should consider looking into the media below for any further information that
is of professional or personal interest.

- ["Doing Digital Humanities", a Zotero library](https://www.zotero.org/groups/113737/doing_digital_humanities_-_a_dariah_bibliography?)
- <heise.de>, <golem.de>, etc.
